org.licas.util

## Class TypeConst

- java.lang.Object
- - org.ai_heuristic.util.AiTypeConst
  - - org.licas.util.TypeConst

-     public class TypeConst
      extends org.ai_heuristic.util.AiTypeConst

  Constant values relating to data types and objects.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BINARYFILE` Defines a Binary file type
    `static java.lang.String` | `BYTEARRAY` Defines a ByteArray class parameter type
    `static java.lang.String` | `BYTELIST` Defines a byte list tag name
    `static java.lang.String` | `DATE` Defines a Date tag name
    `static java.lang.String` | `HTMLFILE` Defines an HTML file type
    `static java.lang.String` | `LISTCONTAINER` Defines an info resource list container type
    `static java.lang.String` | `QUERYCONTAINER` Defines an info resource query container type
    `static java.lang.String` | `RANDOMCONTAINER` Defines an info resource random container type
    `static java.lang.String` | `RESOURCECONTAINER` Defines an info resource container type
    `static java.lang.String` | `STREAMXML` Defines a online feed type in xml format
    `static java.lang.String` | `TEXTFILE` Defines a Text file type
    `static java.lang.String` | `URI` Defines a URI type, to include file paths
    `static java.lang.String` | `VOID` Defines a Void class parameter type
    `static java.lang.String` | `XMLFILE` Defines an XML file type

    - ### Fields inherited from class org.ai_heuristic.util.AiTypeConst

      `ARRAY, ARRAYLIST, BOOLEAN, BOOLEANOBJ, BYTE, BYTEOBJ, BYTEOBJCODE, CHARACTER, CHARACTEROBJ, DOUBLE, DOUBLEOBJ, ELEMENT, FLOAT, FLOATOBJ, HASHMAP, HASHTABLE, INTEGER, INTEGEROBJ, LINKEDHASHMAP, LINKEDLIST, LONG, LONGOBJ, OBJECT, SHORT, SHORTOBJ, STACK, STRING, TREE, URL, VECTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isBinaryType(java.lang.String dataType)` Return true if the data is a binary type.
    `static boolean` | `isHtml(java.lang.String dataType)` Return true if the data type indicates an html or xhtml type.
    `static boolean` | `isResourceContainer(java.lang.String dataType)` Return true if the data type indicates an info resource container.
    `static boolean` | `isTextType(java.lang.String dataType)` Return true if the data is a text file type, but not xml or any of the other recognised ones.
    `static boolean` | `isURL(java.lang.String dataType)` Return true if the data type indicates an html, xhtml or a remote URL type.
    `static boolean` | `isXmlType(java.lang.String dataType)` Return true if the data is a xml type.
    `static java.lang.String` | `resourceContainerType(java.lang.String dataType)` Get the most appropriate info resource type for the specified data type.

    - ### Methods inherited from class org.ai_heuristic.util.AiTypeConst

      `isNumberType, isSimpleType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VOID

          public static final java.lang.String VOID

      Defines a Void class parameter type
      See Also:
        Constant Field Values

    - #### DATE

          public static final java.lang.String DATE

      Defines a Date tag name
      See Also:
        Constant Field Values

    - #### BYTELIST

          public static final java.lang.String BYTELIST

      Defines a byte list tag name
      See Also:
        Constant Field Values

    - #### BINARYFILE

          public static final java.lang.String BINARYFILE

      Defines a Binary file type
      See Also:
        Constant Field Values

    - #### TEXTFILE

          public static final java.lang.String TEXTFILE

      Defines a Text file type
      See Also:
        Constant Field Values

    - #### XMLFILE

          public static final java.lang.String XMLFILE

      Defines an XML file type
      See Also:
        Constant Field Values

    - #### HTMLFILE

          public static final java.lang.String HTMLFILE

      Defines an HTML file type
      See Also:
        Constant Field Values

    - #### URI

          public static final java.lang.String URI

      Defines a URI type, to include file paths
      See Also:
        Constant Field Values

    - #### BYTEARRAY

          public static final java.lang.String BYTEARRAY

      Defines a ByteArray class parameter type

    - #### STREAMXML

          public static final java.lang.String STREAMXML

      Defines a online feed type in xml format
      See Also:
        Constant Field Values

    - #### RESOURCECONTAINER

          public static final java.lang.String RESOURCECONTAINER

      Defines an info resource container type
      See Also:
        Constant Field Values

    - #### LISTCONTAINER

          public static final java.lang.String LISTCONTAINER

      Defines an info resource list container type
      See Also:
        Constant Field Values

    - #### RANDOMCONTAINER

          public static final java.lang.String RANDOMCONTAINER

      Defines an info resource random container type
      See Also:
        Constant Field Values

    - #### QUERYCONTAINER

          public static final java.lang.String QUERYCONTAINER

      Defines an info resource query container type
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeConst

          public TypeConst()

  - ### Method Detail

    - #### isBinaryType

          public static boolean isBinaryType(java.lang.String dataType)

      Return true if the data is a binary type.
      Parameters:
        `dataType` - the data type to check, including file type.
      Returns:
        true if a binary data type.

    - #### isXmlType

          public static boolean isXmlType(java.lang.String dataType)

      Return true if the data is a xml type.
      Parameters:
        `dataType` - the data type to check, including file type.
      Returns:
        true if a xml data type.

    - #### isTextType

          public static boolean isTextType(java.lang.String dataType)

      Return true if the data is a text file type, but not xml or any of the other recognised ones.
      Parameters:
        `dataType` - the data type to check, including file type.
      Returns:
        true if a xml data type.

    - #### isHtml

          public static boolean isHtml(java.lang.String dataType)

      Return true if the data type indicates an html or xhtml type.
      Parameters:
        `dataType` - the data type.
      Returns:
        true if it indicates an html or xhtml type.

    - #### isURL

          public static boolean isURL(java.lang.String dataType)

      Return true if the data type indicates an html, xhtml or a remote URL type.
      Parameters:
        `dataType` - the data type.
      Returns:
        true if it indicates an html, xhtml or a remote URL type.

    - #### isResourceContainer

          public static boolean isResourceContainer(java.lang.String dataType)

      Return true if the data type indicates an info resource container.
      Parameters:
        `dataType` - the data type.
      Returns:
        true if it indicates an info resource container type.

    - #### resourceContainerType

          public static java.lang.String resourceContainerType(java.lang.String dataType)

      Get the most appropriate info resource type for the specified data type.
      Parameters:
        `dataType` - the data type, for example, Integer.class.getName(), String.class.getName(), URL.class.getName(). Basic types are covered. An HTML source should be represented by URL.class.getName(). Container types are also returned.
      Returns:
        the type of Resource that would be created for that data type.